Q_XQUOTARM(2const)

NAME
Q_XQUOTARM - free disk space taken by disk quotas

LIBRARY
Standard C library (libc, -lc)

SYNOPSIS
#include <xfs/xqm.h>      /* See quotactl(2) */
#include <sys/quota.h>

int quotactl(QCMD(Q_XQUOTARM, type), const char *_Nullable special, 0,
             caddr_t addr);

#include <xfs/xqm.h>      /* See quotactl_fd(2) */
#include <sys/syscall.h>  /* Definition of SYS_* constants */
#include <unistd.h>

int syscall(SYS_quotactl_fd, int fd, QCMD(Q_XQUOTARM, type), 0,
            unsigned int *addr);

DESCRIPTION
Free the disk space taken by disk quotas.

The addr argument should be a pointer to an unsigned int value containing flags (the same as in .d_flags field of the fs_disk_quota(2type) structure) which identify what types of quota should be removed.

Quotas must have already been turned off.

RETURN VALUE
See quotactl(2).

ERRORS
See quotactl(2).

EINVAL (since Linux 5.5)
    addr does not point to valid quota types.

STANDARDS
Linux.

HISTORY
Buggy until Linux 3.16.

CAVEATS
The quota type argument is ignored, but should remain valid in order to pass preliminary quotactl syscall handler checks.

SEE ALSO
quotactl(2), quotactl_fd(2), fs_disk_quota(2type)